Foreman - Bug #15543

query fact_values for a hostgroup can fail - Unknown column 'hosts_fact_values.id’
06/29/2016 10:11 AM - Steve Traylen

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Search
Target version: 1.12.4
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.11.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3837
Description
e.g URL

https://judy.cern.ch/fact values?utf8=%E2%9C%93&search=+name+%3D+lemon_exceptions+and+host.hostgroup+%3D+incoming

Search box: 'name = lemon_exceptions and host.hostgroup = incoming'
Results as below.
This is foreman 1.11.2 , used to be okay 1.6.

ActiveRecord: :StatementInvalid
Mysqgl2::Error: Unknown column 'hosts_fact_values.id' in 'field list': SELECT " fact_values . id" AS

t0_r0, "fact_values . value' AS tO_rl, "~fact_values . fact_name_id" AS t0_r2, "fact_values’ . host
_id® AS t0_r3, ~fact_values . updated_at® AS t0_r4, "fact_values' . created_at’® AS t0_r5, "fact_nam
es’ . 1d” AS tl_r0, "“fact_names . name  AS tl_rl, "~fact_names . updated_at® AS tl_r2, "~fact_names’.
‘created_at® AS tl_r3, “fact_names . compose’ AS tl_r4, "~fact_names . short_name® AS tl_r5, "~ fact_

names . type’ AS tl_r6, "~fact_names . ancestry’ AS tl_r7, “hostgroups . id’ AS t2_r0, “hostgroups’
."name’ AS t2_rl, "hostgroups . created_at’ AS t2_r2, "hostgroups . updated_at® AS t2_r3, “hostgro
ups’ . environment_id® AS t2_r4, “hostgroups’ . operatingsystem_id  AS t2_r5, “hostgroups . architec
ture_id® AS t2_r6, “hostgroups’ . medium_id’® AS t2_r7, "hostgroups . ptable_id" AS t2_r8, "hostgrou
ps’ . root_pass® AS t2_r9, “hostgroups’ . puppet_ca_proxy_id' AS t2_r10, "hostgroups . use_image  AS
t2_rll, “hostgroups' . image_file' AS t2_rl2, "hostgroups . ancestry  AS t2_rl13, “hostgroups . vm_
defaults®™ AS t2_rl4, “hostgroups’ . subnet_id® AS t2_rl5, “hostgroups . domain_id’ AS t2_rl6, " host
groups . puppet_proxy_id® AS t2_rl7, “hostgroups . title' AS t2_rl18, "hostgroups . realm_id" AS t2
_rl9, “hostgroups . compute_profile_id' AS t2_r20, "hostgroups . grub_pass  AS t2_r2l, "hostgroups
" .  lookup_value_matcher® AS t2_r22, “hostgroups . hosts_count®™ AS t2_r23, "hosts_fact_values . id’
AS t3_r0, "hosts_fact_values . name’  AS t3_rl, "hosts_fact_values . last_compile® AS t3_r2, " host
s_fact_values . last_report®™ AS t3_r3, “hosts_fact_values . updated_at® AS t3_r4, "hosts_fact_valu
es’ . created_at’® AS t3_r5, "hosts_fact_values . root_pass’  AS t3_r6, "hosts_fact_values . architec
ture_id® AS t3_r7, “hosts_fact_values . operatingsystem_id ™ AS t3_r8, "hosts_fact_values . environ
ment_id® AS t3_r9, “hosts_fact_values . ptable_id' AS t3_r1l0, "hosts_fact_values’ . medium_id" AS t
3_rll, “hosts_fact_values . build’ AS t3_rl2, “hosts_fact_values . comment™ AS t3_rl1l3, "hosts_fact
_values . disk’ AS t3_rl4, "hosts_fact_values . installed_at® AS t3_rl5, “hosts_fact_values' . mode
1_id" AS t3_rl6, “hosts_fact_values . hostgroup_id® AS t3_rl7, “hosts_fact_values . owner_id  AS t
3_rl8, "hosts_fact_values . owner_type  AS t3_rl9, “hosts_fact_values . enabled’ AS t3_r20, " hosts
_fact_values’ . puppet_ca_proxy_id  AS t3_r2l1l, “hosts_fact_values’ . managed  AS t3_r22, "hosts_fact
_values . use_image’ AS t3_r23, “hosts_fact_values . image_file' AS t3_r24, "hosts_fact_values . u
uid® AS t3_r25, "hosts_fact_values . compute_resource_id' AS t3_r26, " hosts_fact_values . puppet_p
roxy_id® AS t3_r27, “hosts_fact_values' . certname’ AS t3_r28, "hosts_fact_values . image_id" AS t3
_r29, “hosts_fact_values . organization_id® AS t3_r30, “hosts_fact_values . location_id" AS t3_r31
, “hosts_fact_values . type' AS t3_r32, “hosts_fact_values . otp  AS t3_r33, “hosts_fact_values .’
realm_id" AS t3_r34, "hosts_fact_values' . compute_profile_id" AS t3_r35, " hosts_fact_values . prov
ision_method™ AS t3_r36, “hosts_fact_values . grub_pass® AS t3_r37, “hosts_fact_values . global_st
atus® AS t3_r38, “hosts_fact_values . lookup_value_matcher®™ AS t3_r39 FROM " fact_values INNER JOI
N “hosts’® ON “hosts'. id’ = "“fact_values . host_id’ AND "hosts . type  IN ('Host::Managed') LEFT O
UTER JOIN " fact_names’ ON " fact_names . 'id’ = "fact_values . fact_name_id' LEFT OUTER JOIN " hosts"
“hosts_fact_values_join® ON "hosts_fact_values_join . id’ = "~fact_values . host_id" AND " hosts_fa

ct_values_join' . type  IN ('Host::Managed') LEFT OUTER JOIN "hostgroups® ON "hostgroups . id® = "h
osts_fact_values_join . hostgroup_id’ WHERE (fact_names.name <> '_timestamp') AND ((( fact_names" .
‘name’ = 'lemon_exceptions') AND ( fact_values . id' IN (SELECT ' fact_values . i1d° FROM " fact_valu
es’ INNER JOIN "hosts®™ ON "fact_values . host_id" = “hosts . id" INNER JOIN "hostgroups ON "hosts
. hostgroup_id® = “hostgroups . id’ WHERE " hostgroups’ . name = 'incoming' )))) AND " fact_values’

.idt IN (1338214969, 1312623127, 1381956321, 1349282114, 1312334406, 1320118890, 1373606857, 1357
942272, 1367100381, 1361802643, 1276487296, 1276646166, 1241277424, 1364271569, 1350128275, 136171
1688, 1365286854, 1276885978, 1304388827, 1284402715, 1284128957, 1284032144, 1283998265, 12842205
07, 1283804896, 1283951374, 1244797397, 1271742577, 1271849447, 1358349913, 1239990442, 1240002444
, 1238548818, 1303472662, 1357020228, 1355298835, 1348152658, 1351630325, 1351523437, 1351005327,
1365952250, 1363037172, 1361984118, 1246635823, 1079366533, 1241138065, 1384114450, 1343021701, 12
51931811, 1274871364) ORDER BY 'fact_values . value  ASC
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract_mysqgl_adapter.rb:303:in "query'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract_mysql_adapter.rb:303:in ‘block in execute'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/connection_adapters
/abstract_adapter.rb:373:in “block in log'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications/ins
trumenter.rb:20:in "~ instrument'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract_adapter.rb:367:in "log'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract_mysqgl_adapter.rb:303:in ‘execute'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/connection_adapters
/mysql2_adapter.rb:228:in "execute'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/mysqgl2_adapter.rb:232:in ‘exec_query'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/mysqgl2_adapter.rb:240:in "select'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract/database_statements.rb:24:in “select_all"'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/connection_adapters
/abstract/query_cache.rb:68:in “block in select_all'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract/query_cache.rb:83:in "cache_sqgl'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract/query_cache.rb:68:in "select_all'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/relation/finder_met
hods.rb:338:in "~ find_with_associations'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/relation.rb:604:1in
‘exec_queries'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/relation.rb:486:1in
“load'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/relation.rb:231:in
“to_a'
/opt/theforeman/tfm/root/usr/share/gems/gems/will_paginate-3.1.0/1ib/will_paginate/active_record.r
b:126:in “block in to_a'
/opt/theforeman/tfm/root/usr/share/gems/gems/will_paginate-3.1.0/1ib/will_paginate/collection.rb:9
6:in “create'
/opt/theforeman/tfm/root/usr/share/gems/gems/will_paginate-3.1.0/1ib/will_paginate/active_record.r
b:125:in “to_a'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/relation/delegation
.rb:46:in “to_ary'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.1.5/1lib/action_view/renderer/partial_render
er.rb:367:in “collection'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionview—-4.1.5/1ib/action_view/renderer/partial_render
er.rb:337:in "~ setup’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview—-4.1.5/1lib/action_view/renderer/partial_render
er.rb:262:in "render'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview-4.1.5/1lib/action_view/renderer/renderer.rb:47
:in “render_partial'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionview-4.1.5/1lib/action_view/renderer/renderer.rb:21
:in “render'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionview—-4.1.5/1ib/action_view/helpers/rendering_helpe
r.rb:32:in "render'
/usr/share/foreman/app/views/fact_values/index.html.erb:17:in ' _4806c9b4e7756b804e3eb86b251a0flb"
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionview—-4.1.5/1lib/action_view/template.rb:145:in "blo
ck in render'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications.rb:
161l:in "instrument'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview—4.1.5/1ib/action_view/template.rb:339:in “ins
trument'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.1.5/1lib/action_view/template.rb:143:in "ren
der'
/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.2/1ib/deface/action_view_extensions.rb:41:
in “render'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview-4.1.5/1lib/action_view/renderer/template_rende
rer.rb:55:in "block (2 levels) in render_template'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.1.5/1lib/action_view/renderer/abstract_rende
rer.rb:38:in “block in instrument'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications.rb:
159:in "block in instrument'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications/ins
trumenter.rb:20:in " instrument'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications.rb:
159:in "instrument'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.1.5/1ib/action_view/renderer/abstract_rende

rer.rb:38:in "~ instrument'

/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.

rer.rb:54:in “block in render_template'

/opt/rh/rh-rordl/root/usr/share/gems/gems/actionview—4.

rer.rb:62:in “render_with_layout'

/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview—4.

rer.rb:53:in ‘render_template'

/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview—4.

rer.rb:17:in "“render'

/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.

:in “render_template'

/opt/rh/rh-rordl/root/usr/share/gems/gems/actionview—4.

:in “render'

/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview—4.

nder_template'

/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack—4.

b:217:in " _render_template'

/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionview—4.

der_to_body'

/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.

.5/1lib/action_view/renderer/template_rende
.5/1lib/action_view/renderer/template_rende
.5/1lib/action_view/renderer/template_rende
.5/1lib/action_view/renderer/template_rende
.5/1ib/action_view/renderer/renderer.rb:42
.5/1lib/action_view/renderer/renderer.rb:23
.5/1lib/action_view/rendering.rb:99:in "_re
.5/1lib/action_controller/metal/streaming.r
.5/1lib/action_view/rendering.rb:82:in ‘ren

.5/1lib/action_controller/metal/rendering.r

b:32:in "render_to_body'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/renderers.r
b:32:in "render_to_body'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/abstract_controller/rendering.rb:25
:in “render'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/rendering.r
b:16:in “render'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/instrumenta
tion.rb:41:in “block (2 levels) in render'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/core_ext/benchmar
k.rb:12:in “block in ms'

/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in “realtime'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/core_ext/benchmar
k.rb:12:in "ms'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/instrumenta
tion.rb:41:in "block in render'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/instrumenta
tion.rb:84:in "“cleanup_view_runtime'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/railties/controller
_runtime.rb:25:1in “cleanup_view_runtime’
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/instrumenta
tion.rb:40:in " render'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/implicit_re
nder.rb:10:in “default_render'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/implicit_re
nder.rb:5:1in
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.
‘process_action’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack—-4.
b:10:in ‘process_action'

“send_action'

1.5/1lib/abstract_controller/base.rb:189:1in

1.5/1ib/action_controller/metal/rendering.r

/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/abstract_controller/callbacks.rb:20

:in "block in process_action'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport—4.
in “block in halting_and_conditional'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport—4.
‘call!
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.

in

in "block in halting_and_conditional'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport—4.
in “block in halting_and_conditional'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport—4.
‘call!
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.
“block (2 levels)

in

in in halting'

1

1

.5/1ib/active_support/callbacks

.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.

.5/1ib/active_support/callbacks.

.rb:113:

23 dlilds

rb:149:

rb:149:

rb:149:

rb:149:

rb:149:

rb:299:

rb:299:

/opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/1ib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in "around'’

/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.

in “public_send'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport—4.
in “block in make_lambda'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in “block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport—4.
‘call!
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport—4.
"block (2 levels)

in

in in halting’

1

.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.

.5/1ib/active_support/callbacks.

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in "set_timezone'

/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.

in “block in make_lambda'

/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.

in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport—4.
in "block in halting'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.
‘call!
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in "block in halting_and_conditional'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport—4.
in "block in halting'

in

/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.
‘call!
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in "block in halting'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in “call’
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport—4.
in "block in halting'

in

/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.
‘call!
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.
in "block in halting'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.

in
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.
.5/1ib/active_support/callbacks.

.5/1ib/active_support/callbacks.

5/1lib/active_support/callbacks.

rb:447:

rb:447:

rb:298:

2193 298 3

rb:299:

rb:299:

rb:424:

rb:298:

rb:298:

rb:149:

rb:149:

rb:166:

rb:166:

rb:166:

rb:166:

rb:166:

rb:166:

rb:166:

rb:166:

rb:149:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:149:
in “block in halting_and_conditional'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:149:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:149:
in “block in halting_and_conditional'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in "block in halting'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:229:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:229:
in "block in halting'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in "block in halting'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in "block in halting'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in "block in halting'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:149:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:149:
in “block in halting_and_conditional'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:299:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:299:
in “block (2 levels) in halting'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:424:
in “block in make_lambda'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:298:
in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:298:
in "block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:229:
in “call’
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:229:
in "block in halting'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “block in halting'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in "block in halting'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:299:
in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:299:
in “block (2 levels) in halting'
/opt/theforeman/tfm/root/usr/share/gems/gems/rails—-observers-0.1.2/1ib/rails/observers/action_cont
roller/caching/sweeping.rb:73:in "~around'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:447:
in “public_send’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:447:
in “block in make_lambda'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:298:
in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:298:
in "block in halting'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:166:
in "block in halting'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:86:1i
n ‘call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:86:1
n “run_callbacks'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1ib/abstract_controller/callbacks.rb:19
:in “process_action’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_controller/metal/rescue.rb:2
9:in ‘process_action'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_controller/metal/instrumenta
tion.rb:31:in “block in process_action'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications.rb:
159:in "block in instrument'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications/ins
trumenter.rb:20:in " instrument'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/notifications.rb:
159:in "instrument'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/instrumenta
tion.rb:30:in ‘process_action'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/params_wrap
per.rb:250:in “process_action'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activerecord-4.1.5/1ib/active_record/railties/controller
_runtime.rb:18:in “process_action'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/abstract_controller/base.rb:136:in
‘process'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionview—4.1.5/1lib/action_view/rendering.rb:30:in "pro
cess'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_controller/metal.rb:196:in
dispatch'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_controller/metal/rack_delega
tion.rb:13:in “dispatch’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_controller/metal.rb:232:in
block in action'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/routing/route_set.r
b:82:in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/routing/route_set.r
b:82:in “dispatch'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/routing/route_set.r
b:50:in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_dispatch/journey/router.rb:7
l:in "block in call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/Jjourney/router.rb:5
9:in “each'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_dispatch/journey/router.rb:5
9:in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/routing/route_set.r
b:678:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/static_dispatcher.rb:65
:in “call!
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/extractor/recorder.rb:1
32:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/middleware/checksum_in_
headers.rb:27:in “call’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/rack-1.5.2/1lib/rack/etag.rb:23:in ‘call’
/opt/rh/rh-ror4l/root/usr/share/gems/gems/rack-1.5.2/1lib/rack/conditionalget.rb:25:in “call’
/opt/rh/rh-rordl/root/usr/share/gems/gems/rack-1.5.2/1ib/rack/head.rb:11:in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/params_p
arser.rb:27:in “call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/flash.rb
:254:in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/rack-1.5.2/1lib/rack/session/abstract/id.rb:225:in 'conte
xt'

/opt/rh/rh-rordl/root/usr/share/gems/gems/rack-1.5.2/1ib/rack/session/abstract/id.rb:220:in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/cookies.
rb:560:in “call’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/query_cache.rb:36:1
n ‘call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/activerecord-4.1.5/1lib/active_record/connection_adapters
/abstract/connection_pool.rb:621:in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/callback
s.rb:29:in “block in call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/callbacks.rb:82:1
n “run_callbacks'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_dispatch/middleware/callback
s.rb:27:in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1ib/action_dispatch/middleware/remote_i
p.rb:76:in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/debug_ex
ceptions.rb:17:in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/show_exc
eptions.rb:30:in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/railties-4.1.5/1ib/rails/rack/logger.rb:38:in ‘call_app'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/railties-4.1.5/1ib/rails/rack/logger.rb:22:in ‘call’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/request_
id.rb:21:in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/rack-1.5.2/1lib/rack/methodoverride.rb:21:in “call’
/opt/rh/rh-rordl/root/usr/share/gems/gems/rack-1.5.2/1ib/rack/runtime.rb:17:in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/activesupport-4.1.5/1ib/active_support/cache/strategy/lo
cal_cache_middleware.rb:26:in “call'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/actionpack-4.1.5/1lib/action_dispatch/middleware/static.r
b:64:in “call'

/opt/rh/rh-rord4l/root/usr/share/gems/gems/rack-1.5.2/1lib/rack/sendfile.rb:112:in ‘call’
/opt/rh/rh-rord4l/root/usr/share/gems/gems/railties-4.1.5/1ib/rails/engine.rb:514:in “call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/railties-4.1.5/1ib/rails/application.rb:144:in “call'
/opt/rh/rh-rordl/root/usr/share/gems/gems/railties-4.1.5/1ib/rails/railtie.rb:194:in “public_send'
/opt/rh/rh-rordl/root/usr/share/gems/gems/railties-4.1.5/1ib/rails/railtie.rb:194:in "method_missi
ng'
/opt/rh/rh-rord4l/root/usr/share/gems/gems/rack-1.
/opt/rh/rh-ror4l/root/usr/share/gems/gems/rack-1.

5.2/1lib/rack/builder.rb:138:in “call'

5.2/1lib/rack/urlmap.rb:65:in “block in call'
/opt/rh/rh-ror4l/root/usr/share/gems/gems/rack-1.5.2/1lib/rack/urlmap.rb:50:in ‘each’

5.2/1lib/rack/urlmap.rb:50:in “call'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/rack/thread_handler_extension.rb:77:in

/opt/rh/rh-ror4l/root/usr/share/gems/gems/rack-1.
‘process_request'

/usr/share/gems/gems/passenger—-4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:140:
in “accept_and_process_next_request'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:108:

in "main_loop'

/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/request_handler.rb:441:in “block

vels) 1n start_threads'

(3 1le

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1i

n “call'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1i

n "block in create_with_logging_context'

Associated revisions

Revision 5cedc4c5 - 09/22/2016 04:19 AM - Shlomi Zadok

Fixes #15543 - External method to search fact's hostgroup

Revision cc1ad59c - 10/19/2016 11:28 AM - Shlomi Zadok

Fixes #15543 - External method to search fact's hostgroup

(cherry picked from commit 5ce4c4c51917fdcf377fb168157a099108e55571)
Revision 3188ebab - 10/25/2016 07:52 AM - Shlomi Zadok

Fixes #15543 - External method to search fact's hostgroup

(cherry picked from commit 5ce4c4c51917fdcf377fb168157a099108e5557f)

History

#1 - 06/29/2016 10:12 AM - Steve Traylen

Should have added, it works with admin mode enabled.

#2 - 06/29/2016 10:14 AM - Dominic Cleal
- Category changed from 19 to Search

#3 - 09/13/2016 05:33 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3837 added

#4 - 09/13/2016 05:33 AM - Shlomi Zadok

- Target version set to 1.5.3

#5 - 09/22/2016 05:02 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5ce4c4c51917fdcf377fb168157a099108e55571.

#6 - 09/22/2016 07:05 AM - Dominic Cleal

- translation missing: en.field_release set to 194
